PHP Manual
Prev |  | Next

# gnupg_setsignmode

(no version information, might be only in CVS)

gnupg_setsignmode -- Sets the mode for signing

## Description

bool gnupg_setsignmode ( resource identifier, int signmode )

signmode takes a constant indicating what type of signature should be produced. The possible values are `GNUPG_SIG_MODE_NORMAL`, `GNUPG_SIG_MODE_DETACH` and `GNUPG_SIG_MODE_CLEAR`. By default `GNUPG_SIG_MODE_CLEAR` is used.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. Procedural gnupg_setsignmode() example
`<?php $res = gnupg_init(); gnupg_setsignmode($res,GNUPG_SIG_MODE_DETACH); // produce a detached signature ?>`

Example 2. OO gnupg_setsignmode() example
`<?php $gpg = new gnupg(); $gpg -> setsignmode(gnupg::SIG_MODE_DETACH); // produce a detached signature ?>`

Prev | Home | Next
gnupg_seterrormode | Up | gnupg_sign